summaryrefslogtreecommitdiffstats
path: root/scripts/lib/ptxd_make_xpkg_fixup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/lib/ptxd_make_xpkg_fixup.sh')
-rw-r--r--scripts/lib/ptxd_make_xpkg_fixup.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/lib/ptxd_make_xpkg_fixup.sh b/scripts/lib/ptxd_make_xpkg_fixup.sh
new file mode 100644
index 000000000..42cebdaf2
--- /dev/null
+++ b/scripts/lib/ptxd_make_xpkg_fixup.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Copyright (C) 2005, 2006, 2007 Robert Schwebel <r.schwebel@pengutronix.de>
+# 2008, 2009, 2010 by Marc Kleine-Budde <mkl@pengutronix.de>
+#
+# See CREDITS for details about who has contributed to this project.
+#
+# For further information about the PTXdist project and license conditions
+# see the README file.
+#
+
+#
+#
+#
+ptxd_make_xpkg_fixup() {
+ ptxd_make_xpkg_init || return
+
+ case "${pkg_xpkg_fixup_from}" in
+ AUTHOR)
+ pkg_xpkg_fixup_to="`echo ${pkg_xpkg_fixup_to} | sed -e 's/\([^\\]\)@/\1\\\@/g'`"
+ ;;
+ DEPENDS|PACKAGE|VERSION)
+ return
+ ;;
+ esac
+
+ echo -n "install_fixup: @${pkg_xpkg_fixup_from}@ -> ${pkg_xpkg_fixup_to} ... "
+ sed -i -e "s,@$pkg_xpkg_fixup_from@,$pkg_xpkg_fixup_to,g" "${pkg_ipkg_control}" || return
+ echo "done."
+}
+
+export -f ptxd_make_xpkg_fixup